body {
	background: #078426 url('./img/green-felt.png') repeat;
}
.container {
  max-width: 960px;
}
#contents {
    margin-top: 2em;
}
#button-container {
    width: 290px;
    height: 40px;
    margin: 1.5em auto;
    display: flex; /* Use flexbox for better alignment */
    justify-content: space-between; /* Add space between buttons */
}
#button-container .btn {
    display: inline-block;
    zoom: 1;
    vertical-align: baseline;
    outline: none;
    cursor: pointer;
    text-align: center;
    text-decoration: none;
    font-size: 1.1em;
    padding: .3em 1.5em .35em;
    text-shadow: 0 1px 1px rgba(0,0,0,.3);
    border-radius: .5em;
    box-shadow: 0 1px 2px rgba(0,0,0,.2);
}
#roll-button {
    color: #fef4e9;
    border: solid 1px #222;
    background: #f78d1d;
    background: -webkit-gradient(linear, left top, left bottom, from(#faa51a), to(#f47a20));
    background: -moz-linear-gradient(top,  #faa51a,  #f47a20);
    filter: progid:DXImageTransform.Microsoft.gradient(startColorstr='#faa51a', endColorstr='#f47a20');
    box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.3), 0 6px 20px 0 rgba(0, 0, 0, 0.29);
    margin: 0 auto;   
}
#roll-button:hover {
    background: #f47c20;
    background: -webkit-gradient(linear, left top, left bottom, from(#f88e11), to(#f06015));
    background: -moz-linear-gradient(top,  #f88e11,  #f06015);
    filter: progid:DXImageTransform.Microsoft.gradient(startColorstr='#f88e11', endColorstr='#f06015');
}
#roll-button:active {
    color: #fcd3a5;
    background: -webkit-gradient(linear, left top, left bottom, from(#f47a20), to(#faa51a));
    background: -moz-linear-gradient(top,  #f47a20,  #faa51a);
    filter: progid:DXImageTransform.Microsoft.gradient(startColorstr='#f47a20', endColorstr='#faa51a');
}
#button-container #re-order {
    font-size: 1em;
    padding: .3em 0.8em .35em;
    color: #fef4e9;
    border: solid 1px #222;
    background: #f78d1d;
    background: -webkit-gradient(linear, left top, left bottom, from(#faa51a), to(#f47a20));
    background: -moz-linear-gradient(top,  #faa51a,  #f47a20);
    filter: progid:DXImageTransform.Microsoft.gradient(startColorstr='#faa51a', endColorstr='#f47a20');
    margin: 0 auto;
    box-shadow: 0 1px 2px rgba(0,0,0,.2);
}
#re-order:disabled {
    color: #fff;
    background-color: #6c757d;
    border: solid 1px #222;
}
#button-container #new-game {
    font-size: 1em;
    padding: .3em 0.2em .35em;
    color: #fef4e9;
    border: solid 1px #222;
    margin: 0 auto;
    box-shadow: 0 1px 2px rgba(0,0,0,.2);
}

#scoreboard {
	font-size: 11px;
	padding: 2px;
    background-color: #fff;
    border: 2px solid #444;
    max-width: 420px;
    box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.4), 0 6px 20px 0 rgba(0, 0, 0, 0.39);
    margin: 0 auto;
}
#scoreboard .table-bordered,
 #scoreboard .table-bordered td,
 #scoreboard .table thead th {
	border: 1px solid #888;
	padding: .2rem .3rem .1rem .3rem;
}
#scoreboard .table {
    margin-bottom: 0px;
}
.yahtzee_sprites {
	display: block;
	float: right;
	width: 46px;
	height: 20px;
	background-image: url('./img/yahtzee-sprites.png');
	background-repeat: no-repeat;
	background-size: 46px 160px;
	position: relative;
	top: -2px;
	margin-bottom: -10px;
}
#sprites_aces {
    background-position: -10px 0px; 
}
#sprites_twos {
    background-position: -10px -20px; 
}
#sprites_threes {
    background-position: -10px -40px; 
}
#sprites_fours {
    background-position: -10px -60px; 
}
#sprites_fives {
    background-position: -10px -80px; 
}
#sprites_sixes {
    background-position: -10px -100px; 
}
#sprites_bonus {
	background-position: -10px -216px;
	background-size: 64px 240px;
	width: 54px;
}
#sprites_arrow {
    float: left;
    width: 58px;
    background-position: 0px -121px; 
}
#scoreboard .score-option {
    color: #f60;
}
#scoreboard .emph {
    display: block;
    font-weight: 800;
    padding-left: 0.5em;
}
#scoreboard .score {
    color: #00f;
    display: block;
    font-weight: 800;
    padding-left: 0.5em;
}

#dice {
    display: flex;
    width: 300px;
    height: 60px;
    margin: 0 auto;
    box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.4), 0 6px 20px 0 rgba(0, 0, 0, 0.39);
    border-radius: 8px;
    background-color: #262;
}
.die_holder {
    display: flex;
    width: 60px;
    height: 60px;
    border: 2px solid #262;
    border-radius: 8px;
    justify-content: center;
    align-items: center;
    font-size: 24px;
    margin-right: 0px;
    background-color: #fff;
	background-image: url('./img/dice-roll.gif');
	background-repeat: no-repeat;
	background-size: 58px 58px;
}
.die_holder.hold_on {
    border: 2px solid #ff0;
}
#dice .face_logo {
	background-image: url('./img/dice-sprite.png');
	background-repeat: no-repeat;
	background-size: 58px 406px;
	background-position: 0px 0px;
}
#dice .face_1 {
	background-image: url('./img/dice-sprite.png');
	background-repeat: no-repeat;
	background-size: 58px 406px;
	background-position: 0px -58px;
}
#dice .face_2 {
	background-image: url('./img/dice-sprite.png');
	background-repeat: no-repeat;
	background-size: 58px 406px;
	background-position: 0px -116px;
}
#dice .face_3 {
	background-image: url('./img/dice-sprite.png');
	background-repeat: no-repeat;
	background-size: 58px 406px;
	background-position: 0px -174px;
}
#dice .face_4 {
	background-image: url('./img/dice-sprite.png');
	background-repeat: no-repeat;
	background-size: 58px 406px;
	background-position: 0px -232px;
}
#dice .face_5 {
	background-image: url('./img/dice-sprite.png');
	background-repeat: no-repeat;
	background-size: 58px 406px;
	background-position: 0px -290px;
}
#dice .face_6 {
	background-image: url('./img/dice-sprite.png');
	background-repeat: no-repeat;
	background-size: 58px 406px;
	background-position: 0px -348px;
}
#hold-container {
    display: flex;
    width: 300px;
    height: 30px;
    margin: 0.3em auto 0;
}
#hold-container .hold-holder {
    display: flex;
    width: 60px;
    justify-content: center;
    align-items: center;
    margin-right: 0px;
}
#hold-container .btn-sm {
    padding: 0 0.5rem;
}
#hold-container .btn:disabled {
    opacity: .50;
}
#hold-container .hold_on {
    color: #ff0;
    background-color: #1e7e34;
    border-color: #1c7430;
    box-shadow: 0 0 0 0.2rem rgba(72,180,97,.5);
}